Subject: KDE panel and LXDE panel are hidden after login to x2go session

From: Aki Ketolainen <[email-masked]>
Date: Tue, 23 Sep 2014 22:44:19 +0300

Package: x2goagent
Version: 2:3.5.0.27-0~446~ubuntu14.04.1

Package: x2goserver
Version: 4.0.1.15-0~847~ubuntu14.04.1

Package: x2goserver-extensions
Version: 4.0.1.15-0~847~ubuntu14.04.1

Package: x2goclient
Version: 4.0.2.1+hotfix1+build4

Server = Ubuntu 14.04.1 LTS (x86)
Client = Windows 8.1 (x86_64)

After logging into x2go Server, I see either KDE or LXDE start up, as
configured.

Start up finishes but the panel in either KDE or LXDE is not shown.

I press Alt+F2 to open the 'Run' application and start xterm.

I run 'xrandr -s 1280x720', the x2go/X11 window size changes OK and
the menu in either KDE or LXDE shows up automatically.

I saw that someone had ran into this bug in 2012:

    http://readlist.com/lists/gentoo.org/gentoo-user/33/169010.html

but there was just a temporary resolution to the problem.